package zmo.technology.lite.core;

public class ZeroException extends Exception {
    private static final long serialVersionUID = 1L;

    private int code;
    private String message;

    public ZeroException(int code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
        this.message = message;
    }

    public ZeroException(int code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

    public ZeroException(String message) {
        super(message);
        this.code = 500;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
